Developer Documentation

Public Member Functions | Private Types | Private Attributes | List of all members
OpenVolumeMesh::CellSheetCellIter Class Reference
Inheritance diagram for OpenVolumeMesh::CellSheetCellIter:

## Public Member Functions
| CellSheetCellIter (const CellHandle &_ref_h, const unsigned char _orthDir, const HexahedralMeshTopologyKernel *_mesh, int _max_laps=1)
CellSheetCellIter | operator++ (int)
CellSheetCellIter | operator-- (int)
CellSheetCellIter | operator+ (int _n)
CellSheetCellIter | operator- (int _n)
CellSheetCellIter & | operator+= (int _n)
CellSheetCellIter & | operator-= (int _n)
CellSheetCellIter & | operator++ ()
CellSheetCellIter & | operator-- ()
Public Member Functions inherited from OpenVolumeMesh::BaseCirculator< CellHandle, CellHandle >
| BaseCirculator (const TopologyKernel *_mesh, const CellHandle &_ih, const CellHandle &_oh, int _max_laps=1)
| BaseCirculator (const TopologyKernel *_mesh, const CellHandle &_ih, int _max_laps=1)
bool | operator== (const BaseCirculator &_c) const
bool | operator!= (const BaseCirculator &_c) const
bool | operator< (const BaseCirculator &_c) const
BaseCirculator & | operator= (const BaseCirculator &_c)
const CellHandle & | ref_handle () const
void | lap (int _lap)
int | lap () const
void | max_laps (int _max_laps)
int | max_laps () const
Public Member Functions inherited from OpenVolumeMesh::BaseIterator< CellHandle >
| BaseIterator (const TopologyKernel *_mesh, const CellHandle &_ch)
| BaseIterator (const TopologyKernel *_mesh)
bool | operator== (const BaseIterator &_c) const
bool | operator!= (const BaseIterator &_c) const
pointer | operator-> () const
reference | operator* () const
bool | operator< (const BaseIterator &_c) const
BaseIterator & | operator= (const BaseIterator &_c)
| operator bool () const
void | valid (bool _valid)
bool | valid () const
void | cur_handle (const CellHandle &_h)
reference | cur_handle () const
const TopologyKernel * | mesh () const

## Private Types
typedef BaseCirculator< CellHandle, CellHandle > | BaseIter

## Private Attributes
std::vector< CellHandle > | neighb_sheet_cell_hs_
size_t | cur_index_

## Additional Inherited Members
Public Types inherited from OpenVolumeMesh::BaseCirculator< CellHandle, CellHandle >
typedef BaseIterator< CellHandle > | BaseIter
Public Types inherited from OpenVolumeMesh::BaseIterator< CellHandle >
typedef std::bidirectional_iterator_tag | iterator_category
typedef int | difference_type
typedef const CellHandle | value_type
typedef const CellHandle * | pointer
typedef const CellHandle & | reference
Protected Attributes inherited from OpenVolumeMesh::BaseCirculator< CellHandle, CellHandle >
int | lap_
int | max_laps_
CellHandle | ref_handle_

## Detailed Description

Definition at line 53 of file HexahedralMeshIterators.hh.

The documentation for this class was generated from the following files:

- Type-OpenVolumeMesh/libs/OpenVolumeMesh/src/OpenVolumeMesh/Mesh/HexahedralMeshIterators.hh
- Type-OpenVolumeMesh/libs/OpenVolumeMesh/src/OpenVolumeMesh/Mesh/HexahedralMeshIterators.cc